nl.topicus.jdbc.exception

## Class CloudSpannerSQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - nl.topicus.jdbc.exception.CloudSpannerSQLException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class CloudSpannerSQLException
    extends SQLException

Specific `SQLException` for Google Cloud Spanner

Author:
  loite
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CloudSpannerSQLException(com.google.cloud.spanner.SpannerException e)`
`CloudSpannerSQLException(String message, com.google.rpc.Code code)`
`CloudSpannerSQLException(String message, com.google.rpc.Code code, Throwable cause)`
`CloudSpannerSQLException(String message, com.google.cloud.spanner.SpannerException e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.rpc.Code` `getCode()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### CloudSpannerSQLException

    public CloudSpannerSQLException(String message,
                                    com.google.rpc.Code code)

#### CloudSpannerSQLException

    public CloudSpannerSQLException(String message,
                                    com.google.rpc.Code code,
                                    Throwable cause)

#### CloudSpannerSQLException

    public CloudSpannerSQLException(com.google.cloud.spanner.SpannerException e)

#### CloudSpannerSQLException

    public CloudSpannerSQLException(String message,
                                    com.google.cloud.spanner.SpannerException e)

### Method Detail

#### getCode

    public com.google.rpc.Code getCode()